Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 73435 - "fix_libtool_files.sh 3.4" messes its updates
Summary: "fix_libtool_files.sh 3.4" messes its updates
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Toolchain Maintainers
URL:
Whiteboard:
Keywords:
: 51922 64519 72079 73463 75470 76214 76313 76368 77573 77598 77604 77662 77664 77681 77684 77687 77688 77702 77740 77770 77772 77820 77825 77835 77853 77875 77887 77902 77976 77982 77997 78053 78054 78066 78119 78137 78152 78198 78262 78283 78380 78396 78426 78480 78560 78593 78689 78725 78786 78820 78840 78858 78891 78901 79054 79083 79156 79157 79189 79249 79470 79643 79813 80505 80975 81616 81762 81833 82011 82252 82939 82943 83347 83380 83823 84414 85255 85312 93724 94348 96307 96437 98255 98773 99917 100045 100578 100664 101074 101826 102342 102623 102748 103083 103147 104054 105612 106179 106702 106741 107370 108038 108415 110684 111783 112346 112574 112787 113527 113648 113710 115859 115978 118896 120951 121020 122567 122596 123189 123486 123549 124150 124265 124678 124855 124937 126568 127125 127704 127765 127862 128164 128195 128426 128791 129820 130511 130854 131060 131685 131760 131853 131918 132142 132750 133423 133474 133478 133562 133653 134366 135062 135190 135353 135682 136535 136682 137624 137696 138599 138878 141517 142438 142901 143067 143124 143358 144278 144432 145661 148406 148908 155522 155726 155964 156620 159814 162977 167096 167695 168227 168607 171876 177838 178596 179903 180759 186745 192998 196128 200124 200272 200570 201571 202637 203344 205325 211817 211980 (view as bug list)
Depends on: 71265
Blocks:
  Show dependency tree
 
Reported: 2004-12-05 04:48 UTC by Stephane Loeuillet
Modified: 2008-10-28 15:05 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Another way to solve specific problem with "emerge" complaining about missing libraries (B73435.txt,2.26 KB, text/plain)
2005-04-24 04:03 UTC, Martin Felbaba
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stephane Loeuillet 2004-12-05 04:48:26 UTC
it came from gcc-3.4.3-r1

on one of the files it processed, i now see :

dependency_libs=' /usr/lib/libglibmm-2.4.la -L/usr/i686-pc-linux-gnu/bin -L/usr/i686-pc-linux-gnu/lib /usr/lib/libsigc-2.0.la /usr/lib/gcc-lib/i686-pc-linux-gnu/3.4.3.3.3.3/libstdc++.la /usr/lib/libatk-1.0.la /usr/lib/libgobject-2.0.la /usr/lib/libgmodule-2.0.la -ldl /usr/lib/libglib-2.0.la'

each time it is executed, it would add one more ".3" (the diff between 3.4 and 3.4.3)

couldn't this script be smarter ? (smarter regexp) so it would not fucks up la files on successive run


Reproducible: Always
Steps to Reproduce:
1.
2.
3.
Comment 1 Stephane Loeuillet 2004-12-05 06:08:07 UTC
forgot to include my "emerge info" :

Portage 2.0.51-r8 (default-linux/x86/2005.0, gcc-3.4.3, glibc-2.3.4.20041102-r0, 2.6.10-rc2 i686)
=================================================================
System uname: 2.6.10-rc2 i686 AMD Athlon(tm) XP 2600+
Gentoo Base System version 1.6.7
Python:              dev-lang/python-2.3.4 [2.3.4 (#1, Oct  8 2004, 14:43:37)]
dev-lang/python:     2.3.4
sys-devel/autoconf:  2.59-r6, 2.13
sys-devel/automake:  1.6.3, 1.8.5-r2, 1.7.9, 1.9.3, 1.5, 1.4_p6
sys-devel/binutils:  2.15.92.0.2-r1
sys-devel/libtool:   1.5.2-r7
virtual/os-headers:  2.6.8.1-r1
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CFLAGS="-march=athlon-xp -O3 -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/X11R6/lib/X11/xkb /usr/kde/2/share/config /usr/kde/3/share/config /usr/lib/mozilla/defaults/pref /usr/share/config /usr/share/texmf/dvipdfm/config/ /usr/share/texmf/dvips/config/ /usr/share/texmf/tex/generic/config/ /usr/share/texmf/tex/platex/config/ /usr/share/texmf/xdvi/ /var/bind /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-march=athlon-xp -O3 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoaddcvs autoconfig buildpkg ccache digest distlocks fixpackages sandbox sfperms strict userpriv"
GENTOO_MIRRORS="ftp://ftp.ussg.iu.edu/pub/linux/gentoo"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="3dnow 3dnowex X aalib accessibility acpi adns alsa apache2 artworkextra avi bash-completion berkdb bitmap-fonts bonobo cdr crypt cups divx4linux doc dv dvb dvd dvdr dvdread eds encode erandom esd ethereal evo f77 faac faad fam flac flash foomaticdb gd gdbm gif gimp glx gnome gnomedb gnutls gstreamer gtk gtk2 gtkhtml hal idea ieee1394 imagemagick innodb irda irmc ithreads joystick jpeg ldap libcaca libg++ libgda libwww mad mikmod mmx mmx2 mozilla moznocompose moznoirc moznomail mozsvg mozxmlterm mpeg mysql ncurses net nls nntp no-old-linux nptl nptlonly nvidia offensive oggvorbis opengl pam pcre pcsc-lite pda pdflib perl pic plotutils png postgres ppds pwdb python quicktime readline real rtc samba sasl sdl slang sndfile speex spell sse ssl stencil-buffer svg svga tcpd tetex theora threads tiff truetype truetype-fonts type1-fonts unicode usb v4l v4l2 videos x86 xml xml2 xprint xv xvid xvmc yv12 zlib zvbi"
Comment 2 SpanKY gentoo-dev 2004-12-05 12:40:20 UTC
*** Bug 73463 has been marked as a duplicate of this bug. ***
Comment 3 Daniel Webert 2004-12-13 20:11:13 UTC
same problem w/ media-gfx/imagemagick-6.1.x.x

and also w/ media-video/avidemux-2.0.34_rc2

<snip>
libtool: link: cannot find the library `/usr/lib/gcc/i686-pc-linux-gnu/3.4.3.3.3.3.3.3.3.3/libstdc++.la'
make[3]: *** [avidemux2] Error 1
</snap>
Comment 4 Daniel Webert 2004-12-17 06:29:21 UTC
is anyone working on this?

btw. media-sound/beep-media-player-0.9.7 has also probs
Comment 5 SpanKY gentoo-dev 2004-12-23 14:04:12 UTC
*** Bug 72079 has been marked as a duplicate of this bug. ***
Comment 6 Daniel Webert 2004-12-24 15:21:23 UTC
media-libs/faad2-2.0-r3 and media-libs/faac-1.24 also have problems ...
Comment 7 SpanKY gentoo-dev 2004-12-31 06:58:27 UTC
*** Bug 76214 has been marked as a duplicate of this bug. ***
Comment 8 SpanKY gentoo-dev 2005-01-01 12:14:11 UTC
*** Bug 76313 has been marked as a duplicate of this bug. ***
Comment 9 SpanKY gentoo-dev 2005-01-01 19:29:11 UTC
*** Bug 76368 has been marked as a duplicate of this bug. ***
Comment 10 SpanKY gentoo-dev 2005-01-11 16:13:17 UTC
*** Bug 77598 has been marked as a duplicate of this bug. ***
Comment 11 SpanKY gentoo-dev 2005-01-12 06:24:48 UTC
*** Bug 77662 has been marked as a duplicate of this bug. ***
Comment 12 SpanKY gentoo-dev 2005-01-12 06:25:43 UTC
*** Bug 75470 has been marked as a duplicate of this bug. ***
Comment 13 SpanKY gentoo-dev 2005-01-12 06:26:09 UTC
*** Bug 77604 has been marked as a duplicate of this bug. ***
Comment 14 SpanKY gentoo-dev 2005-01-12 06:27:53 UTC
*** Bug 77664 has been marked as a duplicate of this bug. ***
Comment 15 Gregorio Guidi (RETIRED) gentoo-dev 2005-01-12 07:40:49 UTC
*** Bug 77681 has been marked as a duplicate of this bug. ***
Comment 16 Gregorio Guidi (RETIRED) gentoo-dev 2005-01-12 07:41:25 UTC
*** Bug 77684 has been marked as a duplicate of this bug. ***
Comment 17 Gregorio Guidi (RETIRED) gentoo-dev 2005-01-12 07:42:29 UTC
*** Bug 77687 has been marked as a duplicate of this bug. ***
Comment 18 Gregorio Guidi (RETIRED) gentoo-dev 2005-01-12 07:49:20 UTC
for everyone: running as root "fix_libtool_files.sh 3.3.4" should solve this
issue most of the times.

vapier: was it really necessary to remove it from the ebuild?
Comment 19 Gregorio Guidi (RETIRED) gentoo-dev 2005-01-12 07:50:21 UTC
*** Bug 77688 has been marked as a duplicate of this bug. ***
Comment 20 Lindsay Haisley 2005-01-12 08:56:00 UTC
"fix_libtool_files.sh 3.3.4" fixes the problem for Bug 77688 (kdelibs ebuild).

As noted (I think), this should be run postinstall from the ebuild for gcc.
Comment 21 Gregorio Guidi (RETIRED) gentoo-dev 2005-01-12 09:04:30 UTC
*** Bug 77702 has been marked as a duplicate of this bug. ***
Comment 22 SpanKY gentoo-dev 2005-01-12 10:31:51 UTC
*** Bug 77624 has been marked as a duplicate of this bug. ***
Comment 23 Jukka Palko 2005-01-12 11:45:18 UTC
Fixed my evolution, libsdl and djvu problems in bug 77664. Plus one libdv problem that popped up after reporting those.

Thanks.
Comment 24 Tom Martin (RETIRED) gentoo-dev 2005-01-12 15:51:04 UTC
*** Bug 77573 has been marked as a duplicate of this bug. ***
Comment 25 SI Reasoning 2005-01-12 16:11:13 UTC
This fixed bug 77624, emerge imlib2 issue
Comment 26 Joe McCann (RETIRED) gentoo-dev 2005-01-12 21:46:19 UTC
*** Bug 77772 has been marked as a duplicate of this bug. ***
Comment 27 Joe McCann (RETIRED) gentoo-dev 2005-01-12 21:46:42 UTC
*** Bug 77770 has been marked as a duplicate of this bug. ***
Comment 28 Joe McCann (RETIRED) gentoo-dev 2005-01-12 21:47:05 UTC
*** Bug 77740 has been marked as a duplicate of this bug. ***
Comment 29 Mike Crawford (ali3nx) 2005-01-13 02:44:08 UTC
libtool: link: `/usr/lib/gcc/i686-pc-linux-gnu/3.4.3.3.4.3.3/libstdc++.la' is not a valid libtool archive


</help>  =]
Comment 30 Jeremy Huddleston (RETIRED) gentoo-dev 2005-01-13 03:50:15 UTC
'fix_libtool_files.sh 3.4.3.3.4.3.3' then for you ;)
Comment 31 Mike Crawford (ali3nx) 2005-01-13 04:00:12 UTC
/bin/sh ../libtool --mode=link gcc  -march=pentium2 -mtune=pentium2 -O2 -fomit-frame-pointer -funroll-loops -pipe  -o libImlib.la -rpath /usr/lib -version-info 10:14:9 cache.lo colors.lo load.lo misc.lo rend.lo utils.lo save.lo snprintf.lo -ljpeg -ltiff -lungif -lpng -lz -lm -lSM -lICE                   -lXext
libtool: link: warning: `/usr/lib/gcc/i686-pc-linux-gnu/3.4.3/libstdc++.la' seems to be moved

.... lalala ;)
>>> Regenerating /etc/ld.so.cache...
 * Caching service dependencies ...                                                                                                                                                                       [ ok ]>>> media-libs/imlib-1.9.14-r3 merged.

excellent ! fixed it.

Comment 32 Carsten Lohrke (RETIRED) gentoo-dev 2005-01-13 06:12:27 UTC
*** Bug 77825 has been marked as a duplicate of this bug. ***
Comment 33 Carsten Lohrke (RETIRED) gentoo-dev 2005-01-13 07:28:15 UTC
*** Bug 77835 has been marked as a duplicate of this bug. ***
Comment 34 Carsten Lohrke (RETIRED) gentoo-dev 2005-01-13 07:30:26 UTC
*** Bug 64519 has been marked as a duplicate of this bug. ***
Comment 35 Carsten Lohrke (RETIRED) gentoo-dev 2005-01-13 07:30:44 UTC
*** Bug 51922 has been marked as a duplicate of this bug. ***
Comment 36 foser (RETIRED) gentoo-dev 2005-01-13 07:50:47 UTC
*** Bug 77820 has been marked as a duplicate of this bug. ***
Comment 37 Carsten Lohrke (RETIRED) gentoo-dev 2005-01-13 09:27:35 UTC
*** Bug 77853 has been marked as a duplicate of this bug. ***
Comment 38 Florian Ehrenthal 2005-01-13 09:35:16 UTC
i'd like to add, that currently, fix_libtool_files.sh uses roots UMASK.
on my system i changed it from 022 to 027 and that basically fucked every la file for my users...

so there should probably be a umask check or something!
Comment 39 Gregorio Guidi (RETIRED) gentoo-dev 2005-01-13 15:47:46 UTC
*** Bug 77902 has been marked as a duplicate of this bug. ***
Comment 40 Carsten Lohrke (RETIRED) gentoo-dev 2005-01-13 16:16:44 UTC
*** Bug 77875 has been marked as a duplicate of this bug. ***
Comment 41 Carsten Lohrke (RETIRED) gentoo-dev 2005-01-13 16:18:27 UTC
*** Bug 77887 has been marked as a duplicate of this bug. ***
Comment 42 Gregorio Guidi (RETIRED) gentoo-dev 2005-01-14 07:11:27 UTC
*** Bug 77976 has been marked as a duplicate of this bug. ***
Comment 43 Daniel Faber 2005-01-14 08:23:38 UTC
I also have big problems with the umask issue mentioned by Florian.  Some files (maybe all files fix_libtool_files.sh changes?) were not world readable after running fix_libtool_files.sh.  I have "umask 077" in /etc/profile and fix_libtool_files.sh sources this file.  This problem must be fixed.

Btw: How can I get a list of files changed by fix_libtool_files.sh and there permissions before the update?  Or is there another way to repair my system?
Comment 44 David Grant 2005-01-14 09:01:30 UTC
Is this the most duped bug in history?
Comment 45 Gregorio Guidi (RETIRED) gentoo-dev 2005-01-14 09:04:45 UTC
*** Bug 77982 has been marked as a duplicate of this bug. ***
Comment 46 Carsten Lohrke (RETIRED) gentoo-dev 2005-01-14 11:07:15 UTC
*** Bug 77997 has been marked as a duplicate of this bug. ***
Comment 47 Joe McCann (RETIRED) gentoo-dev 2005-01-15 00:01:05 UTC
*** Bug 78053 has been marked as a duplicate of this bug. ***
Comment 48 Carsten Lohrke (RETIRED) gentoo-dev 2005-01-15 10:57:42 UTC
*** Bug 78066 has been marked as a duplicate of this bug. ***
Comment 49 Pawe&#322; Stradomski 2005-01-15 11:25:51 UTC
*** Bug 78119 has been marked as a duplicate of this bug. ***
Comment 50 SpanKY gentoo-dev 2005-01-15 16:46:01 UTC
*** Bug 78137 has been marked as a duplicate of this bug. ***
Comment 51 Simone Gotti (RETIRED) gentoo-dev 2005-01-16 04:39:45 UTC
*** Bug 78198 has been marked as a duplicate of this bug. ***
Comment 52 Jan Kundrát (RETIRED) gentoo-dev 2005-01-16 05:42:19 UTC
> Is this the most duped bug in history?

not yet - http://bugs.gentoo.org/duplicates.cgi
Comment 53 foser (RETIRED) gentoo-dev 2005-01-16 06:04:54 UTC
*** Bug 78152 has been marked as a duplicate of this bug. ***
Comment 54 Michael Elbaum 2005-01-16 10:00:07 UTC
I'm adding to this list rather than starting another duplicate.

I had the same trouble this morning after emerge -puD world. gedit-2.8.2 failed with:
/bin/sed: can't read /usr/lib/gcc-lib/i686-pc-linux-gnu/3.3.4/libstdc++.la: No such file or directory
libtool: link: `/usr/lib/gcc-lib/i686-pc-linux-gnu/3.3.4/libstdc++.la' is not a valid libtool archive
etc.,etc.

I did the dumbest thing possible and symlinked that directory to 3.3.5/, which was there. I didn't pay attention before the emerge where it came from but it's dated today. 

Is this a simple fix or did I just ruin everything???
Comment 55 Jan Kundrát (RETIRED) gentoo-dev 2005-01-16 11:21:35 UTC
Michael, I had the same problem with gtk+ after upgrading gcc from 3.3.4 to 3.3.5.
Try to remove the symlink and do `fix_libtool_files.sh 3.3.4`.
Why isn't gcc ebuild calling it automagically?
Comment 56 crusaderky 2005-01-16 11:35:41 UTC
Just a note here:

I've got 2 gentoo systems, both with ACCEPT_KEYWORDS=x86, and I've upgraded simultaneously for both of them from gcc-3.3.4 to 3.3.5.

For the first one, applications didn't find libtools 3.3.5.4 (yes, not a typo. and obviously i've never had such version) so I had to run
fix_libtool_files.sh 3.3.5.4

On the second one, instead, apps didn't find 3.3.4 and everything got fixed launching
fix_libtool_files.sh 3.3.4
Comment 57 Carsten Lohrke (RETIRED) gentoo-dev 2005-01-16 13:14:07 UTC
*** Bug 78262 has been marked as a duplicate of this bug. ***
Comment 58 Carsten Lohrke (RETIRED) gentoo-dev 2005-01-16 15:53:35 UTC
*** Bug 78054 has been marked as a duplicate of this bug. ***
Comment 59 Carsten Lohrke (RETIRED) gentoo-dev 2005-01-16 15:53:54 UTC
*** Bug 78283 has been marked as a duplicate of this bug. ***
Comment 60 Carsten Lohrke (RETIRED) gentoo-dev 2005-01-17 09:37:48 UTC
*** Bug 78380 has been marked as a duplicate of this bug. ***
Comment 61 foser (RETIRED) gentoo-dev 2005-01-17 14:28:52 UTC
*** Bug 78396 has been marked as a duplicate of this bug. ***
Comment 62 foser (RETIRED) gentoo-dev 2005-01-17 14:29:20 UTC
*** Bug 78426 has been marked as a duplicate of this bug. ***
Comment 63 SpanKY gentoo-dev 2005-01-17 17:55:39 UTC
fixed in cvs
Comment 64 Carsten Lohrke (RETIRED) gentoo-dev 2005-01-18 03:10:38 UTC
*** Bug 78480 has been marked as a duplicate of this bug. ***
Comment 65 SpanKY gentoo-dev 2005-01-18 14:44:53 UTC
*** Bug 78560 has been marked as a duplicate of this bug. ***
Comment 66 SpanKY gentoo-dev 2005-01-18 14:59:06 UTC
*** Bug 78466 has been marked as a duplicate of this bug. ***
Comment 67 Carsten Lohrke (RETIRED) gentoo-dev 2005-01-18 15:53:13 UTC
*** Bug 78593 has been marked as a duplicate of this bug. ***
Comment 68 Wejn 2005-01-19 10:17:15 UTC
*** Bug 78689 has been marked as a duplicate of this bug. ***
Comment 69 Carsten Lohrke (RETIRED) gentoo-dev 2005-01-19 14:45:50 UTC
*** Bug 78725 has been marked as a duplicate of this bug. ***
Comment 70 Carsten Lohrke (RETIRED) gentoo-dev 2005-01-20 04:00:32 UTC
*** Bug 78786 has been marked as a duplicate of this bug. ***
Comment 71 Gregorio Guidi (RETIRED) gentoo-dev 2005-01-20 08:30:13 UTC
*** Bug 78820 has been marked as a duplicate of this bug. ***
Comment 72 Carsten Lohrke (RETIRED) gentoo-dev 2005-01-20 12:12:32 UTC
*** Bug 78840 has been marked as a duplicate of this bug. ***
Comment 73 Eric Brown 2005-01-20 17:05:20 UTC
So if this is resolved, what's the solution, just sync and pretend it never happened?
Comment 74 SpanKY gentoo-dev 2005-01-20 17:23:50 UTC
run `fix_libtool_files.sh` for usage information
Comment 75 Joe McCann (RETIRED) gentoo-dev 2005-01-20 20:59:58 UTC
*** Bug 78891 has been marked as a duplicate of this bug. ***
Comment 76 SpanKY gentoo-dev 2005-01-21 06:25:50 UTC
*** Bug 78901 has been marked as a duplicate of this bug. ***
Comment 77 Carsten Lohrke (RETIRED) gentoo-dev 2005-01-22 03:03:54 UTC
*** Bug 79054 has been marked as a duplicate of this bug. ***
Comment 78 Kit Fenderson-Peters 2005-01-22 03:19:26 UTC
Removing myself from the CC.
Comment 79 Carsten Lohrke (RETIRED) gentoo-dev 2005-01-22 06:41:12 UTC
*** Bug 79083 has been marked as a duplicate of this bug. ***
Comment 80 Eric Brown 2005-01-22 12:35:43 UTC
Who marked this as resolved?
When you resolve a bug you should provide a clear indication of how users can solve the problem.. (the output from fix_libtool_files is most unhelpful)

I went from gcc 3.3.4-r1 to 3.3.5-r1 (according to emerge.log) and fix_libtool_files 3.3.4 does not fix the problem i have when i do emerge -uD world, (it gets stuck in gtk trying to use libstdc++.la).  According to fix_libtool_files.sh, I should run "fix_libtool_files.sh 3.3.4" which does not solve the problem for me.

grep: /usr/lib/gcc-lib/i686-pc-linux-gnu/3.3.5.5.4/libstdc++.la: No such file or directory

So I guess what you meant to say was, look at the .la file your ebuild is trying to use, and fix the possibly bogus version number shown in the path (in this case 3.3.5.5.4).  Furthermore, the script's output will not explicitly show that it fixed libstdc++.la, but gtk appears to compile now.


In short, for other users who might find this bug and need a fix:

find the bogus version number X in the output from the ebuild that fails on .la file Y like:
/usr/lib/gcc*/i(5|6)86*/X/Y.la
and then run fix_libtool_files.sh X


Comment 81 Carsten Lohrke (RETIRED) gentoo-dev 2005-01-22 16:49:21 UTC
*** Bug 79157 has been marked as a duplicate of this bug. ***
Comment 82 Carsten Lohrke (RETIRED) gentoo-dev 2005-01-22 16:51:47 UTC
*** Bug 79156 has been marked as a duplicate of this bug. ***
Comment 83 Carsten Lohrke (RETIRED) gentoo-dev 2005-01-23 06:24:01 UTC
*** Bug 79189 has been marked as a duplicate of this bug. ***
Comment 84 Gregorio Guidi (RETIRED) gentoo-dev 2005-01-23 13:26:15 UTC
*** Bug 79249 has been marked as a duplicate of this bug. ***
Comment 85 Carsten Lohrke (RETIRED) gentoo-dev 2005-01-25 07:50:57 UTC
*** Bug 79470 has been marked as a duplicate of this bug. ***
Comment 86 Carsten Lohrke (RETIRED) gentoo-dev 2005-01-26 16:46:22 UTC
*** Bug 79643 has been marked as a duplicate of this bug. ***
Comment 87 J. Ryan Earl 2005-01-27 13:51:34 UTC
The libtool script fixed my problem getting mod_php 4.3.10 to build properly.
Comment 88 Carsten Lohrke (RETIRED) gentoo-dev 2005-01-28 02:54:53 UTC
*** Bug 79813 has been marked as a duplicate of this bug. ***
Comment 89 Jakub Moc (RETIRED) gentoo-dev 2005-01-30 04:20:14 UTC
Did someone fix the fix bug mentioned in Comment #38 and Comment #43 ?!
Comment 90 Burhan Khalid 2005-01-31 22:20:29 UTC
By the way, this bug also affects http://bugs.gentoo.org/show_bug.cgi?id=78689 (see my comment).

For sure its not resolved.
Comment 91 Carsten Lohrke (RETIRED) gentoo-dev 2005-02-02 12:59:32 UTC
*** Bug 80505 has been marked as a duplicate of this bug. ***
Comment 92 Jakub Moc (RETIRED) gentoo-dev 2005-02-03 09:29:40 UTC
Any maintainer able to comment on Comment #89 and Comment #90? This bug has 67 dupes and growing - obviously something is not right. :-(
Comment 93 foser (RETIRED) gentoo-dev 2005-02-06 05:53:45 UTC
*** Bug 80975 has been marked as a duplicate of this bug. ***
Comment 94 Sven 2005-02-08 19:53:42 UTC
could the owner reopen this bug please? fix_libtool_files.sh should really use a smarter regexp.
Comment 95 Carsten Lohrke (RETIRED) gentoo-dev 2005-02-12 11:17:12 UTC
*** Bug 81762 has been marked as a duplicate of this bug. ***
Comment 96 Joe McCann (RETIRED) gentoo-dev 2005-02-12 16:06:31 UTC
*** Bug 81616 has been marked as a duplicate of this bug. ***
Comment 97 Carsten Lohrke (RETIRED) gentoo-dev 2005-02-13 07:46:52 UTC
*** Bug 81833 has been marked as a duplicate of this bug. ***
Comment 98 foser (RETIRED) gentoo-dev 2005-02-14 08:13:38 UTC
*** Bug 78858 has been marked as a duplicate of this bug. ***
Comment 99 Carsten Lohrke (RETIRED) gentoo-dev 2005-02-14 10:54:49 UTC
*** Bug 82011 has been marked as a duplicate of this bug. ***
Comment 100 Karsten 2005-02-14 11:07:55 UTC
by now its the most duped bug. And still unsolved.
Comment 101 Carsten Lohrke (RETIRED) gentoo-dev 2005-02-16 08:34:09 UTC
*** Bug 82252 has been marked as a duplicate of this bug. ***
Comment 102 Carsten Lohrke (RETIRED) gentoo-dev 2005-02-22 04:37:51 UTC
*** Bug 82939 has been marked as a duplicate of this bug. ***
Comment 103 SpanKY gentoo-dev 2005-02-22 20:18:56 UTC
*** Bug 82943 has been marked as a duplicate of this bug. ***
Comment 104 Carsten Lohrke (RETIRED) gentoo-dev 2005-02-26 09:07:04 UTC
*** Bug 83380 has been marked as a duplicate of this bug. ***
Comment 105 SpanKY gentoo-dev 2005-02-28 16:56:37 UTC
*** Bug 83347 has been marked as a duplicate of this bug. ***
Comment 106 Carsten Lohrke (RETIRED) gentoo-dev 2005-03-02 08:56:25 UTC
*** Bug 83823 has been marked as a duplicate of this bug. ***
Comment 107 Carsten Lohrke (RETIRED) gentoo-dev 2005-03-07 11:32:43 UTC
*** Bug 84414 has been marked as a duplicate of this bug. ***
Comment 108 André Terpstra 2005-03-11 09:45:35 UTC
What is going on here? Thanks to http://bugs.gentoo.org/show_bug.cgi?id=73435#c80 I was finally able to solve my problem, after being caught by surprise near the end of an "emerge -e world". All other bug reports do not clearly indicate the answer. I agree that the handling of this "bug" needs improvement.
Comment 109 Carsten Lohrke (RETIRED) gentoo-dev 2005-03-12 05:13:54 UTC
*** Bug 84961 has been marked as a duplicate of this bug. ***
Comment 110 Carsten Lohrke (RETIRED) gentoo-dev 2005-03-14 14:47:56 UTC
*** Bug 85255 has been marked as a duplicate of this bug. ***
Comment 111 SpanKY gentoo-dev 2005-03-15 08:51:49 UTC
*** Bug 85312 has been marked as a duplicate of this bug. ***
Comment 112 Carsten Lohrke (RETIRED) gentoo-dev 2005-03-29 06:48:44 UTC
*** Bug 87105 has been marked as a duplicate of this bug. ***
Comment 113 Ulf 2005-03-29 11:36:18 UTC
No, this must be a joke.
Bug 87105 (the one from the comment above) has been marked a duplicate of this bug by Carsten Lohrke. But the suggested solution "run fix_libtool_files.sh 3.3.4" doesn't help at all.
I'm therefore considering to reiterate my bug report.

BTW, it may be an idea to release new versions of the gcc-lib only after this issue has been solved. Looks like there are a lot of people loosing time because some guys in charge are releasing non functional updates!
Comment 114 Michael Cummings (RETIRED) gentoo-dev 2005-03-30 11:23:50 UTC
This hit me today - guess I'm glad we keep these bugs around (fix_* worked, insert appropriate version to fix). Unga.
Comment 115 Martin Felbaba 2005-04-24 04:03:21 UTC
Created attachment 57081 [details]
Another way to solve specific problem with "emerge" complaining about missing libraries

For a weeks I had problem to emerge-compile-install PHP 4.3.11 on my system AMD
Barton 2500+ Gentoo 2005.0, gcc 3.3.5.	(also problems installing tvtime,
mythtv, awtv, ...)
There was not gcc 3.3.4 before installed so according to Eric Brown #80 comment
I tried:
  root#  fix_libtool_files.sh 3.3.5
because error was:
  /usr/lib/gcc-lib/i386-pc-linux-gnu/3.3.5/libstdc++.la: No such file or
directory
It does some short fixing, but
  root# emerge php
generated same error as before
  /usr/lib/gcc-lib/i386-pc-linux-gnu/3.3.5/libstdc++.la: No such file or
directory

Solutions:
A. (clumsy but functional)
1.I went to /usr/lib/gcc-lib
2.Saw that there is not such a directory as
/usr/lib/gcc-lib/i386-pc-linux-gnu/3.3.5/
3.But there was: /usr/lib/gcc-lib/i686-pc-linux-gnu/3.3.5-20050130/libstdc++.la

4.So I made copy (not simlink, because that functioned not) and created
/usr/lib/gcc-lib/i386-pc-linux-gnu/3.3.5/ as copy of
/usr/lib/gcc-lib/i686-pc-linux-gnu/3.3.5-20050130/
5.Tried root# emerge php, everthing OK php functioning: root# php -r
'echo(
Comment 116 Martin Felbaba 2005-04-24 04:03:21 UTC
Created attachment 57081 [details]
Another way to solve specific problem with "emerge" complaining about missing libraries

For a weeks I had problem to emerge-compile-install PHP 4.3.11 on my system AMD
Barton 2500+ Gentoo 2005.0, gcc 3.3.5.	(also problems installing tvtime,
mythtv, awtv, ...)
There was not gcc 3.3.4 before installed so according to Eric Brown #80 comment
I tried:
  root#  fix_libtool_files.sh 3.3.5
because error was:
  /usr/lib/gcc-lib/i386-pc-linux-gnu/3.3.5/libstdc++.la: No such file or
directory
It does some short fixing, but
  root# emerge php
generated same error as before
  /usr/lib/gcc-lib/i386-pc-linux-gnu/3.3.5/libstdc++.la: No such file or
directory

Solutions:
A. (clumsy but functional)
1.I went to /usr/lib/gcc-lib
2.Saw that there is not such a directory as
/usr/lib/gcc-lib/i386-pc-linux-gnu/3.3.5/
3.But there was: /usr/lib/gcc-lib/i686-pc-linux-gnu/3.3.5-20050130/libstdc++.la

4.So I made copy (not simlink, because that functioned not) and created
/usr/lib/gcc-lib/i386-pc-linux-gnu/3.3.5/ as copy of
/usr/lib/gcc-lib/i686-pc-linux-gnu/3.3.5-20050130/
5.Tried root# emerge php, everthing OK php functioning: root# php -r
'echo(?Hello word!\n?);' :-)

- so had too copies of gcc-lib (19M + 19M on hard disk) not very lucky about it
;-), but emerge compiling :-).

B. elegant and functioning
Tried: 
  root#  fix_libtool_files.sh 3.3.5-20050130
no effect.
So I went for fix_libtool_files.sh, and in comments of that file I saw the
solution:
1.Please do read were exactly is error:
?/usr/lib/gcc-lib/i386-pc-linux-gnu/3.3.5/libstdc++.la: No such file or
directory? and you have in your system something like:
?/usr/lib/gcc-lib/i686-pc-linux-gnu/3.3.5..../libstdc++.la?, than root#
fix_libtool_files.sh 3.3.5 will not fix the problem.
2.In this case this will solve the problem: root# ?fix_libtool_files.sh 3.3.5
--oldarch i386-pc-linux-gnu?, this generated long list of fixes, and "root#
emerge php" was OK (deleting duplicated gcc-lib from system and recompiling php
once more without problem).

- problem with "fix_libtool_files.sh 3.3.5" was that by some accident the links
to libraries pointed to i386_pc_linux_gnu and not to corect i686_pc_linux_gnu,
which was solved by additional argunent to fix_libtool_sh.

Hopping this will help another people with similar problems and save their
time.
Comment 117 SpanKY gentoo-dev 2005-05-23 17:27:55 UTC
*** Bug 93724 has been marked as a duplicate of this bug. ***
Comment 118 Carsten Lohrke (RETIRED) gentoo-dev 2005-05-31 11:57:35 UTC
*** Bug 94348 has been marked as a duplicate of this bug. ***
Comment 119 Jakub Moc (RETIRED) gentoo-dev 2005-06-16 15:08:26 UTC
*** Bug 96307 has been marked as a duplicate of this bug. ***
Comment 120 Jakub Moc (RETIRED) gentoo-dev 2005-06-18 02:40:11 UTC
*** Bug 96437 has been marked as a duplicate of this bug. ***
Comment 121 Jakub Moc (RETIRED) gentoo-dev 2005-07-07 12:15:50 UTC
*** Bug 98255 has been marked as a duplicate of this bug. ***
Comment 122 Jakub Moc (RETIRED) gentoo-dev 2005-07-12 07:13:30 UTC
*** Bug 98773 has been marked as a duplicate of this bug. ***
Comment 123 Jakub Moc (RETIRED) gentoo-dev 2005-07-22 11:06:32 UTC
*** Bug 99917 has been marked as a duplicate of this bug. ***
Comment 124 Jakub Moc (RETIRED) gentoo-dev 2005-07-23 11:06:48 UTC
*** Bug 100045 has been marked as a duplicate of this bug. ***
Comment 125 Gregorio Guidi (RETIRED) gentoo-dev 2005-07-28 06:03:35 UTC
*** Bug 100578 has been marked as a duplicate of this bug. ***
Comment 126 Jakub Moc (RETIRED) gentoo-dev 2005-08-03 10:30:39 UTC
*** Bug 101074 has been marked as a duplicate of this bug. ***
Comment 127 Gregorio Guidi (RETIRED) gentoo-dev 2005-08-09 01:47:50 UTC
*** Bug 101826 has been marked as a duplicate of this bug. ***
Comment 128 Jakub Moc (RETIRED) gentoo-dev 2005-08-12 14:31:15 UTC
*** Bug 100664 has been marked as a duplicate of this bug. ***
Comment 129 Jakub Moc (RETIRED) gentoo-dev 2005-08-13 02:27:27 UTC
*** Bug 102342 has been marked as a duplicate of this bug. ***
Comment 130 Jakub Moc (RETIRED) gentoo-dev 2005-08-15 10:08:25 UTC
*** Bug 102623 has been marked as a duplicate of this bug. ***
Comment 131 Jakub Moc (RETIRED) gentoo-dev 2005-08-16 13:40:13 UTC
*** Bug 102748 has been marked as a duplicate of this bug. ***
Comment 132 Jakub Moc (RETIRED) gentoo-dev 2005-08-19 15:24:06 UTC
*** Bug 103083 has been marked as a duplicate of this bug. ***
Comment 133 Stephane Loeuillet 2005-08-19 15:56:14 UTC
could i make everyone in Cc a favor and remove them all from the Cc list for
this bug ?

(looks like everyone is fed up with this "most duped" bug report
Comment 134 Jakub Moc (RETIRED) gentoo-dev 2005-08-20 08:18:54 UTC
*** Bug 103147 has been marked as a duplicate of this bug. ***
Comment 135 Jakub Moc (RETIRED) gentoo-dev 2005-08-28 11:43:46 UTC
*** Bug 104054 has been marked as a duplicate of this bug. ***
Comment 136 Bruno Lustosa 2005-08-28 15:05:35 UTC
*** Bug 104054 has been marked as a duplicate of this bug. ***
Comment 137 Jakub Moc (RETIRED) gentoo-dev 2005-09-05 09:47:07 UTC
*** Bug 104908 has been marked as a duplicate of this bug. ***
Comment 138 Jakub Moc (RETIRED) gentoo-dev 2005-09-11 15:16:00 UTC
*** Bug 105612 has been marked as a duplicate of this bug. ***
Comment 139 Jakub Moc (RETIRED) gentoo-dev 2005-09-15 10:19:23 UTC
*** Bug 104908 has been marked as a duplicate of this bug. ***
Comment 140 Jakub Moc (RETIRED) gentoo-dev 2005-09-15 10:19:31 UTC
*** Bug 106085 has been marked as a duplicate of this bug. ***
Comment 141 Jakub Moc (RETIRED) gentoo-dev 2005-09-16 06:39:34 UTC
*** Bug 106179 has been marked as a duplicate of this bug. ***
Comment 142 Jakub Moc (RETIRED) gentoo-dev 2005-09-20 10:43:07 UTC
*** Bug 106702 has been marked as a duplicate of this bug. ***
Comment 143 Jakub Moc (RETIRED) gentoo-dev 2005-09-21 03:14:20 UTC
*** Bug 106741 has been marked as a duplicate of this bug. ***
Comment 144 Chad Granum 2005-09-21 10:51:10 UTC
I am still having trouble, my bug was marked a dup of this. I tried running
fix_libtool_files.sh and env-update after.

here is the error:
mkdir .libs
 gcc -c sg_lib.c  -fPIC -DPIC -o .libs/sg_lib.o
 gcc -c sg_cmds.c  -fPIC -DPIC -o .libs/sg_cmds.o
 gcc -c sg_lib.c -o sg_lib.o >/dev/null 2>&1
 gcc -c sg_cmds.c -o sg_cmds.o >/dev/null 2>&1
libtool --mode=link gcc -o sg_reset  sg_reset.o
libtool --mode=link gcc -o libsgutils.la sg_lib.lo sg_cmds.lo \
-rpath //usr/local/lib -version-info 1:0:0
gcc -o sg_reset sg_reset.o 
i686-pc-linux-gnu-g++ -shared -nostdlib
/usr/lib/gcc-lib/i686-pc-linux-gnu/3.3.5-20050130/../../../crti.o
/usr/lib/gcc-lib/i686-pc-linux-gnu/3.3.5-20050130/crtbeginS.o  .libs/sg_lib.o
.libs/sg_cmds.o  -L/usr/lib/gcc-lib/i686-pc-linux-gnu/3.3.5-20050130
-L/usr/lib/gcc-lib/i686-pc-linux-gnu/3.3.5-20050130/../../../../i686-pc-linux-gnu/lib
-L/usr/lib/gcc-lib/i686-pc-linux-gnu/3.3.5-20050130/../../.. -lstdc++ -lm -lc
-lgcc_s /usr/lib/gcc-lib/i686-pc-linux-gnu/3.3.5-20050130/crtendS.o
/usr/lib/gcc-lib/i686-pc-linux-gnu/3.3.5-20050130/../../../crtn.o  -Wl,-soname
-Wl,libsgutils.so.1 -o .libs/libsgutils.so.1.0.0
i686-pc-linux-gnu-g++:
/usr/lib/gcc-lib/i686-pc-linux-gnu/3.3.5-20050130/../../../crti.o: No such file
or directory
i686-pc-linux-gnu-g++:
/usr/lib/gcc-lib/i686-pc-linux-gnu/3.3.5-20050130/crtbeginS.o: No such file or
directory
i686-pc-linux-gnu-g++:
/usr/lib/gcc-lib/i686-pc-linux-gnu/3.3.5-20050130/crtendS.o: No such file or
directory
i686-pc-linux-gnu-g++:
/usr/lib/gcc-lib/i686-pc-linux-gnu/3.3.5-20050130/../../../crtn.o: No such file
or directory
make: *** [libsgutils.la] Error 1

emerge info:
GMA-Server gmaaia # emerge info
Portage 2.0.51.22-r2 (default-linux/x86/2005.0, gcc-3.3.6, glibc-2.3.5-r1,
2.6.12-gentoo-r10-GMAAIA i686)
=================================================================
System uname: 2.6.12-gentoo-r10-GMAAIA i686 Intel(R) Pentium(R) 4 CPU 3.00GHz
Gentoo Base System version 1.6.13
ccache version 2.3 [enabled]
dev-lang/python:     2.3.5-r2
sys-apps/sandbox:    1.2.12
sys-devel/autoconf:  2.13, 2.59-r6
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6
sys-devel/binutils:  2.15.92.0.2-r10
sys-devel/libtool:   1.5.18-r1
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=pentium4 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.4/env
/usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/kde/3/share/config
/usr/lib/X11/xkb /usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-O2 -march=pentium4 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig ccache distlocks sandbox sfperms strict"
GENTOO_MIRRORS="http://distfiles.gentoo.org
http://distro.ibiblio.org/pub/Linux/distributions/gentoo"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="x86 X aalib alsa apm avi berkdb bitmap-fonts cdr crypt cups curl directfb
dvd dvdr eds emboss encode esd fam flac foomaticdb fortran gdbm gif gimp-print
gpm gstreamer gtk gtk2 imagemagick imlib ipv6 java jpeg junit libg++ libwww mad
maildir mikmod mmx motif mp3 mpeg ncurses nls nsplugin nvidia offensive ogg
oggvorbis opengl oss pam pcre pdflib perl png python quicktime readline samba
sdl spell sqlite sse sse2 ssl svga tcpd tiff truetype truetype-fonts type1-fonts
usb vorbis xine xinerama xml2 xmms xv zlib userland_GNU kernel_linux elibc_glibc"
Unset:  ASFLAGS, CTARGET, LANG, LC_ALL, LDFLAGS, LINGUAS, PORTDIR_OVERLAY
Comment 145 Jim Faulkner 2005-09-23 11:58:18 UTC
FYI the fix_libtool_files.sh commands I tried didn't work, however re-emerging
libtool did fix the problem.
Comment 146 Attila Stehr 2005-09-23 20:05:01 UTC
unfortunately that doesn't help in each case - see bug # 104908 
Comment 147 Jakub Moc (RETIRED) gentoo-dev 2005-09-27 02:53:22 UTC
*** Bug 107370 has been marked as a duplicate of this bug. ***
Comment 148 Diego Elio Pettenò (RETIRED) gentoo-dev 2005-10-04 01:45:25 UTC
*** Bug 108038 has been marked as a duplicate of this bug. ***
Comment 149 Jakub Moc (RETIRED) gentoo-dev 2005-10-07 13:12:38 UTC
*** Bug 108415 has been marked as a duplicate of this bug. ***
Comment 150 Carsten Lohrke (RETIRED) gentoo-dev 2005-10-28 04:38:54 UTC
*** Bug 110684 has been marked as a duplicate of this bug. ***
Comment 151 Jakub Moc (RETIRED) gentoo-dev 2005-11-07 07:39:06 UTC
*** Bug 111783 has been marked as a duplicate of this bug. ***
Comment 152 Jakub Moc (RETIRED) gentoo-dev 2005-11-12 15:57:38 UTC
*** Bug 112346 has been marked as a duplicate of this bug. ***
Comment 153 Gregorio Guidi (RETIRED) gentoo-dev 2005-11-16 00:55:02 UTC
*** Bug 112574 has been marked as a duplicate of this bug. ***
Comment 154 Jakub Moc (RETIRED) gentoo-dev 2005-11-17 06:41:41 UTC
*** Bug 112787 has been marked as a duplicate of this bug. ***
Comment 155 Jakub Moc (RETIRED) gentoo-dev 2005-11-24 22:54:34 UTC
*** Bug 113527 has been marked as a duplicate of this bug. ***
Comment 156 Jakub Moc (RETIRED) gentoo-dev 2005-11-25 16:19:31 UTC
*** Bug 113527 has been marked as a duplicate of this bug. ***
Comment 157 Jakub Moc (RETIRED) gentoo-dev 2005-11-26 11:53:38 UTC
*** Bug 113648 has been marked as a duplicate of this bug. ***
Comment 158 Jakub Moc (RETIRED) gentoo-dev 2005-11-27 07:22:22 UTC
*** Bug 113710 has been marked as a duplicate of this bug. ***
Comment 159 Mark Loeser (RETIRED) gentoo-dev 2005-11-27 09:54:50 UTC
*** Bug 113710 has been marked as a duplicate of this bug. ***
Comment 160 Jakub Moc (RETIRED) gentoo-dev 2005-12-17 08:13:18 UTC
*** Bug 115859 has been marked as a duplicate of this bug. ***
Comment 161 Jakub Moc (RETIRED) gentoo-dev 2005-12-18 13:18:20 UTC
*** Bug 115978 has been marked as a duplicate of this bug. ***
Comment 162 Jakub Moc (RETIRED) gentoo-dev 2006-01-13 10:48:57 UTC
*** Bug 118896 has been marked as a duplicate of this bug. ***
Comment 163 Jakub Moc (RETIRED) gentoo-dev 2006-01-30 08:29:47 UTC
*** Bug 120951 has been marked as a duplicate of this bug. ***
Comment 164 Jakub Moc (RETIRED) gentoo-dev 2006-01-31 02:01:24 UTC
*** Bug 121020 has been marked as a duplicate of this bug. ***
Comment 165 Attila Stehr 2006-01-31 03:29:37 UTC
Please DO NOT remove me from the CC list when I add myself!
Comment 166 Ernst de Haan 2006-01-31 07:18:09 UTC
Another "me too": Executing "fix_libtool_files.sh 3.3.4" resolved my kdelibs-3.5.1 problem...
Comment 167 Jakub Moc (RETIRED) gentoo-dev 2006-02-12 08:44:54 UTC
*** Bug 122567 has been marked as a duplicate of this bug. ***
Comment 168 André Terpstra 2006-02-12 10:25:54 UTC
For me, like others (e.g. comment #144) the fix_libtool_files.sh commands didn't work, however re-emerging libtool did fix the problem.

Comment 169 Jakub Moc (RETIRED) gentoo-dev 2006-02-12 12:04:48 UTC
*** Bug 122596 has been marked as a duplicate of this bug. ***
Comment 170 Erik Zeek 2006-02-13 04:57:40 UTC
(In reply to comment #167)
> For me, like others (e.g. comment #144) the fix_libtool_files.sh commands
> didn't work, however re-emerging libtool did fix the problem.
> 

Ditto for me.  Re-emerging libtool fixed the apmd build problem.
Comment 171 Derk W te Bokkel 2006-02-14 15:16:05 UTC
It may seem like a dumb question, but why do we get so many of these quirky bugs?
Why the odd interaction with having to recompile libtools does anyone understand how this interaction works?  Can someone post an explaination somewhere in a help file for quirky compile issues like this?
Comment 172 Attila Stehr 2006-02-14 16:43:48 UTC
No dumb question, absolutely not! :)
Maybe not an answer to your question, but connected to it:

What about having a document like suggested here: https://bugs.gentoo.org/show_bug.cgi?id=73435
... and putting the 'libtool-problem' in there too. Something like 

----------------------------
<heading>

In case portage (emerge) complains about missing libraries (looks like this: ...) first re-emerge libtool and try to emerge the package which failed again. 
In case that did not help, try the fix_libtool.sh script (Do it like this: ...).
Still an issue? File a bug please!"
----------------------------
Comment 173 Jakub Moc (RETIRED) gentoo-dev 2006-02-17 10:49:38 UTC
*** Bug 123189 has been marked as a duplicate of this bug. ***
Comment 174 Jakub Moc (RETIRED) gentoo-dev 2006-02-20 05:47:17 UTC
*** Bug 123486 has been marked as a duplicate of this bug. ***
Comment 175 Jakub Moc (RETIRED) gentoo-dev 2006-02-20 15:23:33 UTC
*** Bug 123549 has been marked as a duplicate of this bug. ***
Comment 176 Attila Stehr 2006-02-20 17:41:44 UTC
 ------- Comment #164 From Attila Stehr  2006-01-31 03:29 PST   -------

Please DO NOT remove me from the CC list when I add myself!
Comment 177 Jakub Moc (RETIRED) gentoo-dev 2006-02-26 03:28:10 UTC
*** Bug 124150 has been marked as a duplicate of this bug. ***
Comment 178 Jakub Moc (RETIRED) gentoo-dev 2006-02-27 07:44:51 UTC
*** Bug 124265 has been marked as a duplicate of this bug. ***
Comment 179 Jakub Moc (RETIRED) gentoo-dev 2006-03-02 11:52:46 UTC
*** Bug 124678 has been marked as a duplicate of this bug. ***
Comment 180 Jakub Moc (RETIRED) gentoo-dev 2006-03-03 13:07:17 UTC
*** Bug 124855 has been marked as a duplicate of this bug. ***
Comment 181 Jakub Moc (RETIRED) gentoo-dev 2006-03-04 05:42:27 UTC
*** Bug 124937 has been marked as a duplicate of this bug. ***
Comment 182 david 2006-03-04 07:06:15 UTC
Adding a better summary for this bug might make it easier to find for people experiencing it and consequently cut down on the constant duplicates.
Comment 183 Jakub Moc (RETIRED) gentoo-dev 2006-03-17 11:08:36 UTC
*** Bug 126568 has been marked as a duplicate of this bug. ***
Comment 184 Jakub Moc (RETIRED) gentoo-dev 2006-03-21 23:03:14 UTC
*** Bug 127125 has been marked as a duplicate of this bug. ***
Comment 185 Jakub Moc (RETIRED) gentoo-dev 2006-03-27 08:21:02 UTC
*** Bug 127704 has been marked as a duplicate of this bug. ***
Comment 186 Jakub Moc (RETIRED) gentoo-dev 2006-03-27 10:53:23 UTC
*** Bug 127765 has been marked as a duplicate of this bug. ***
Comment 187 Jakub Moc (RETIRED) gentoo-dev 2006-03-28 08:30:35 UTC
*** Bug 127862 has been marked as a duplicate of this bug. ***
Comment 188 Thomas T. Veldhouse 2006-03-28 09:07:56 UTC
While it may be resolved/fixed, I would like to stay on the CC list ... 
Comment 189 Jakub Moc (RETIRED) gentoo-dev 2006-03-30 13:25:39 UTC
*** Bug 128164 has been marked as a duplicate of this bug. ***
Comment 190 Jakub Moc (RETIRED) gentoo-dev 2006-03-30 22:09:44 UTC
*** Bug 128195 has been marked as a duplicate of this bug. ***
Comment 191 Jakub Moc (RETIRED) gentoo-dev 2006-04-01 12:40:08 UTC
*** Bug 128426 has been marked as a duplicate of this bug. ***
Comment 192 Jakub Moc (RETIRED) gentoo-dev 2006-04-04 11:50:22 UTC
*** Bug 128791 has been marked as a duplicate of this bug. ***
Comment 193 Jakub Moc (RETIRED) gentoo-dev 2006-04-13 09:17:25 UTC
*** Bug 129820 has been marked as a duplicate of this bug. ***
Comment 194 Jakub Moc (RETIRED) gentoo-dev 2006-04-19 12:39:26 UTC
*** Bug 130511 has been marked as a duplicate of this bug. ***
Comment 195 Jakub Moc (RETIRED) gentoo-dev 2006-04-22 09:56:40 UTC
*** Bug 130854 has been marked as a duplicate of this bug. ***
Comment 196 Jakub Moc (RETIRED) gentoo-dev 2006-04-23 23:42:37 UTC
*** Bug 131060 has been marked as a duplicate of this bug. ***
Comment 197 Jakub Moc (RETIRED) gentoo-dev 2006-04-24 00:46:13 UTC
*** Bug 131071 has been marked as a duplicate of this bug. ***
Comment 198 Jakub Moc (RETIRED) gentoo-dev 2006-04-29 07:53:17 UTC
*** Bug 131685 has been marked as a duplicate of this bug. ***
Comment 199 Jakub Moc (RETIRED) gentoo-dev 2006-04-30 00:32:47 UTC
*** Bug 131760 has been marked as a duplicate of this bug. ***
Comment 200 Jakub Moc (RETIRED) gentoo-dev 2006-04-30 18:31:42 UTC
*** Bug 131853 has been marked as a duplicate of this bug. ***
Comment 201 Jakub Moc (RETIRED) gentoo-dev 2006-05-01 08:37:08 UTC
*** Bug 131918 has been marked as a duplicate of this bug. ***
Comment 202 Sam Stephens 2006-05-01 20:18:06 UTC
i second the notion to have a document explaining the libtool problem, we need a full doc on bugzilla usage tips like this posted in large letters on the bugs homepage
Comment 203 Jakub Moc (RETIRED) gentoo-dev 2006-05-03 09:59:00 UTC
*** Bug 132142 has been marked as a duplicate of this bug. ***
Comment 204 Jakub Moc (RETIRED) gentoo-dev 2006-05-08 23:21:35 UTC
*** Bug 132750 has been marked as a duplicate of this bug. ***
Comment 205 Jakub Moc (RETIRED) gentoo-dev 2006-05-15 16:00:15 UTC
*** Bug 133423 has been marked as a duplicate of this bug. ***
Comment 206 Jakub Moc (RETIRED) gentoo-dev 2006-05-16 04:49:48 UTC
*** Bug 133474 has been marked as a duplicate of this bug. ***
Comment 207 Jakub Moc (RETIRED) gentoo-dev 2006-05-16 04:50:31 UTC
*** Bug 133478 has been marked as a duplicate of this bug. ***
Comment 208 Daniel Drake (RETIRED) gentoo-dev 2006-05-16 05:55:52 UTC
Just a note to people upgrading from 4.1.0 to 4.1.0-r1, finding that libstdc++.la is gone (and the lack of it is causing compilation failures), and worried that this bug is being neglected.

The solution is simple: "fix_libtool_files.sh 4.1.0". Here's a more complete explanation of why this does not happen automatically right now:

During the install stage, the gcc ebuilds sometimes do run fix_libtool_files.sh. They only do this when the path to libstdc++.so.X changes, or when the X component changes. Neither of these changes happen when upgrading from 4.1.0 to 4.1.0-r1.

The obvious solution is to detect this change (.la file removal) and run fix_libtool_files.sh on this event in the install phase. I don't think there is much chance of that change being made, fix_libtool_files.sh is possibly flawed by design, see bug #90744.

The more correct solution would be for the ebuild to detect when the .la file goes away in the install stage, and it to then go around the system fixing the .la files in whatever way fix_libtool_files does it (just removing references to libstdc++.la at a guess?), but *not* doing the other naughty things which fix_libtool_files.sh does.

However, I'm not sure whether this kind of change will happen either - I'm sure Gentoo's toolchain maintainers have more important issues on their plate. Notice that this bug only affects testing tree users (4.1.0 --> 4.1.0-r1) and we generally expect those people to be able to put up with a little breakage now and then.

Stable tree users will not be affected. When gcc 4.1 goes stable, stable tree users will be upgraded from (say) 3.4.x to 4.1, and this *will* result in fix_libtool_files.sh being run automatically in the ebuild, because the version number change will result in a path change.

If someone does feel like fixing the bug for testing tree users in the way outlined above, I suggest you submit patches to the ebuilds and eclasses in a new bug report, and the toolchain people would probably consider it.
Comment 209 Thomas T. Veldhouse 2006-05-16 06:16:52 UTC
as this is not fully resolved, I would like to stay on the CC list.
Comment 210 Daniel Drake (RETIRED) gentoo-dev 2006-05-16 07:51:53 UTC
Further clarification:

I've just noticed that we have many reports of libstdc++.la missing for GCC versions *older* than 4.1.0-r1. I haven't confirmed this for myself, but I am told that there was a toolchain eclass bug several weeks ago which caused this file not to be installed, so many gcc-3.x users will have hit this.

However, this is a *different* issue from the 4.1.0-r1 issue I described above, where libstdc++.la was purposely removed.
Comment 211 Jakub Moc (RETIRED) gentoo-dev 2006-05-16 23:59:23 UTC
*** Bug 133562 has been marked as a duplicate of this bug. ***
Comment 212 Jakub Moc (RETIRED) gentoo-dev 2006-05-17 23:09:34 UTC
*** Bug 133653 has been marked as a duplicate of this bug. ***
Comment 213 Bill Hartwell 2006-05-17 23:27:09 UTC
(In reply to comment #207)

> 
> Stable tree users will not be affected. When gcc 4.1 goes stable, stable tree
> users will be upgraded from (say) 3.4.x to 4.1, and this *will* result in
> fix_libtool_files.sh being run automatically in the ebuild, because the version
> number change will result in a path change.
> 

Unfortunately, I am a stable tree user and have this problem, so it's clear that the problem is not merely in testing. In fact, I'm using gcc 3.4.5-r1, which was just marked stable (but apparently does not have this problem resolved).
Comment 214 Daniel Drake (RETIRED) gentoo-dev 2006-05-19 05:09:54 UTC
Read my comment again, and the clarification. I was talking about the breakage when upgrading 4.1.0 to 4.1.0-r1. As a stable tree user, you cannot possibly have run into that problem, since neither of those are in the stable tree.
Comment 215 Jakub Moc (RETIRED) gentoo-dev 2006-05-31 11:01:37 UTC
*** Bug 135062 has been marked as a duplicate of this bug. ***
Comment 216 Jakub Moc (RETIRED) gentoo-dev 2006-06-01 11:41:50 UTC
*** Bug 135190 has been marked as a duplicate of this bug. ***
Comment 217 Paulo J. Matos 2006-06-02 04:03:37 UTC
For the sake of not opening another DUP:
I'm having the same problem. Upgraded to 4.1.1 and I get:
/bin/sh ../../libtool --silent --tag=CXX --mode=link i686-pc-linux-gnu-g++  -Wno-long-long -Wundef -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wconversion -Wchar-subscripts -Wall -W -Wpointer-arith -DNDEBUG -DNO_DEBUG -O2 -march=pentium4 -O3 -pipe -fomit-frame-pointer -Wformat-security -Wmissing-format-attribute -Wno-non-virtual-dtor -fno-exceptions -fno-check-new -fno-common  -DQT_CLEAN_NAMESPACE -DQT_NO_ASCII_CAST -DQT_NO_STL -DQT_NO_COMPAT -DQT_NO_TRANSLATION    -o libartskde.la -rpath /usr/kde/3.5/lib -L/usr/kde/3.5/lib -L/usr/qt/3/lib -L/usr/lib    -no-undefined -Wl,--no-undefined -Wl,--allow-shlib-undefined -version-info 3:0:2 libartskde_la.all_cc.lo libartskde_la.all_cpp.lo  ../../kio/libkio.la -lqtmcop -lsoundserver_idl 
grep: /usr/lib/gcc/i686-pc-linux-gnu/4.1.1/libstdc++.la: No such file or directory
/bin/sed: can't read /usr/lib/gcc/i686-pc-linux-gnu/4.1.1/libstdc++.la: No such file or directory
libtool: link: `/usr/lib/gcc/i686-pc-linux-gnu/4.1.1/libstdc++.la' is not a valid libtool archive
make[3]: *** [libartskde.la] Error 1
make[3]: Leaving directory `/var/tmp/portage/kdelibs-3.5.2-r6/work/kdelibs-3.5.2/arts/kde'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/var/tmp/portage/kdelibs-3.5.2-r6/work/kdelibs-3.5.2/arts'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/kdelibs-3.5.2-r6/work/kdelibs-3.5.2'
make: *** [all] Error 2

fix_libtool_files.sh doesn't work with 4.1.1 (it's the current browser). Have already ran it all the other gcc versions I have installed. Re-emerging libtool was already done. Nothing solved it! What's missing?
Comment 218 Jakub Moc (RETIRED) gentoo-dev 2006-06-03 00:06:23 UTC
*** Bug 135353 has been marked as a duplicate of this bug. ***
Comment 219 Paulo J. Matos 2006-06-03 05:08:51 UTC
As advised in gentoo-user, running revdep-rebuild with gentoolkit 0.2.2 worked for me. :-)
Comment 220 Jakub Moc (RETIRED) gentoo-dev 2006-06-05 14:20:50 UTC
*** Bug 135682 has been marked as a duplicate of this bug. ***
Comment 221 Jakub Moc (RETIRED) gentoo-dev 2006-06-12 05:59:10 UTC
*** Bug 136535 has been marked as a duplicate of this bug. ***
Comment 222 John N. Laliberte (RETIRED) gentoo-dev 2006-06-12 07:14:30 UTC
*** Bug 134366 has been marked as a duplicate of this bug. ***
Comment 223 Jakub Moc (RETIRED) gentoo-dev 2006-06-13 10:20:24 UTC
*** Bug 136682 has been marked as a duplicate of this bug. ***
Comment 224 Thomas T. Veldhouse 2006-06-14 05:14:51 UTC
As usual, please leave my name on the carbon copy list.
Comment 225 Aleksi Torhamo 2006-06-18 09:22:50 UTC
Marked as fixed?

I have a fresh (installed week a go) gentoo 2006.0 installation on amd64.
Yesterday i tried to install gphoto2, which depends on cdk.

Installation of cdk failed with:

x86_64-pc-linux-gnu-g++ -shared -nostdlib /usr/lib/gcc/x86_64-pc-linux-gnu/3.4.4/../../../../lib64/crti.o /usr/lib/gcc/x86_64-pc-linux-gnu/3.4.4/crtbeginS.o  .libs/dscale.o .libs/fscale.o .libs/fslider.o .libs/scale.o .libs/slider.o .libs/uscale.o .libs/uslider.o .libs/alphalist.o .libs/binding.o .libs/button.o .libs/buttonbox.o .libs/calendar.o .libs/cdk.o .libs/cdk_compat.o .libs/cdk_objs.o .libs/cdk_params.o .libs/cdkscreen.o .libs/debug.o .libs/dialog.o .libs/draw.o .libs/entry.o .libs/fselect.o .libs/get_index.o .libs/get_string.o .libs/graph.o .libs/histogram.o .libs/itemlist.o .libs/label.o .libs/marquee.o .libs/matrix.o .libs/mentry.o .libs/menu.o .libs/popup_dialog.o .libs/popup_label.o .libs/position.o .libs/radio.o .libs/scroll.o .libs/selection.o .libs/swindow.o .libs/select_file.o .libs/template.o .libs/traverse.o .libs/version.o .libs/view_file.o .libs/view_info.o .libs/viewer.o  -L/usr/lib/gcc/x86_64-pc-linux-gnu/3.4.4 -L/usr/lib/gcc/x86_64-pc-linux-gnu/3.4.4/../../../../x86_64-pc-linux-gnu/lib -L/usr/lib/gcc/x86_64-pc-linux-gnu/3.4.4/../../../../lib64 -L/usr/lib/gcc/x86_64-pc-linux-gnu/3.4.4/../../.. -L/lib/../lib64 -L/usr/lib/../lib64 -lstdc++ -lm -lc -lgcc_s /usr/lib/gcc/x86_64-pc-linux-gnu/3.4.4/crtendS.o /usr/lib/gcc/x86_64-pc-linux-gnu/3.4.4/../../../../lib64/crtn.o  -Wl,-soname -Wl,libcdk.so.1 -o .libs/libcdk.so.1.1.4
x86_64-pc-linux-gnu-g++: /usr/lib/gcc/x86_64-pc-linux-gnu/3.4.4/../../../../lib64/crti.o: No such file or directory
x86_64-pc-linux-gnu-g++: /usr/lib/gcc/x86_64-pc-linux-gnu/3.4.4/crtbeginS.o: No such file or directory
x86_64-pc-linux-gnu-g++: /usr/lib/gcc/x86_64-pc-linux-gnu/3.4.4/crtendS.o: No such file or directory
x86_64-pc-linux-gnu-g++: /usr/lib/gcc/x86_64-pc-linux-gnu/3.4.4/../../../../lib64/crtn.o: No such file or directory

And i only had a 3.4.5-directory, so symlinked to 3.4.4 and got it working.
Today i looked into it a bit more and noticed it's libtool inserting the wrong path. Re-emerge of libtool fixed the problem, but still, i wouldn't say this is "fixed".

I'd say this is pretty much unresolved if upgrade from gcc-3.4.4-r1 (straight from 2006.0) to gcc-3.4.5 (with the initial "emerge --update --deep --newuse world") makes the following libtool-using compiles fail. Emerging a new gcc should update/fix packages which break because of the update. Normally you  would expect portage not to break any of your existing packages (aka. fix all the packages affected)..
Comment 226 Caleb Tennis (RETIRED) gentoo-dev 2006-06-22 11:08:20 UTC
*** Bug 137624 has been marked as a duplicate of this bug. ***
Comment 227 Jakub Moc (RETIRED) gentoo-dev 2006-06-23 02:03:20 UTC
*** Bug 137696 has been marked as a duplicate of this bug. ***
Comment 228 Jakub Moc (RETIRED) gentoo-dev 2006-06-30 10:26:51 UTC
*** Bug 138599 has been marked as a duplicate of this bug. ***
Comment 229 Jakub Moc (RETIRED) gentoo-dev 2006-07-02 09:35:47 UTC
*** Bug 138878 has been marked as a duplicate of this bug. ***
Comment 230 Jakub Moc (RETIRED) gentoo-dev 2006-07-23 12:49:22 UTC
*** Bug 141517 has been marked as a duplicate of this bug. ***
Comment 231 Jakub Moc (RETIRED) gentoo-dev 2006-07-24 23:59:58 UTC
*** Bug 141646 has been marked as a duplicate of this bug. ***
Comment 232 Jakub Moc (RETIRED) gentoo-dev 2006-08-01 09:15:46 UTC
*** Bug 142438 has been marked as a duplicate of this bug. ***
Comment 233 Jakub Moc (RETIRED) gentoo-dev 2006-08-05 11:54:05 UTC
*** Bug 142901 has been marked as a duplicate of this bug. ***
Comment 234 Jakub Moc (RETIRED) gentoo-dev 2006-08-07 02:35:01 UTC
*** Bug 143067 has been marked as a duplicate of this bug. ***
Comment 235 Jakub Moc (RETIRED) gentoo-dev 2006-08-07 12:27:27 UTC
*** Bug 143124 has been marked as a duplicate of this bug. ***
Comment 236 Piotr Szymaniak 2006-08-08 23:18:36 UTC
(In reply to comment #167)
> For me, like others (e.g. comment #144) the fix_libtool_files.sh commands
> didn't work, however re-emerging libtool did fix the problem.

Re-emerging libtool worked for me too.
Comment 237 Jakub Moc (RETIRED) gentoo-dev 2006-08-09 08:34:47 UTC
*** Bug 143358 has been marked as a duplicate of this bug. ***
Comment 238 Jakub Moc (RETIRED) gentoo-dev 2006-08-18 02:55:36 UTC
*** Bug 144278 has been marked as a duplicate of this bug. ***
Comment 239 Jakub Moc (RETIRED) gentoo-dev 2006-08-19 09:58:44 UTC
*** Bug 144432 has been marked as a duplicate of this bug. ***
Comment 240 Jakub Moc (RETIRED) gentoo-dev 2006-08-31 00:34:51 UTC
*** Bug 145661 has been marked as a duplicate of this bug. ***
Comment 241 Stefano 2006-09-02 05:59:14 UTC
(In reply to comment #235)
> (In reply to comment #167)
> > For me, like others (e.g. comment #144) the fix_libtool_files.sh commands
> > didn't work, however re-emerging libtool did fix the problem.
> 
> Re-emerging libtool worked for me too.

Same over here. The tool didn't work, re-emerging libtool fixed the problem...
Comment 242 Jakub Moc (RETIRED) gentoo-dev 2006-09-20 12:14:57 UTC
*** Bug 148406 has been marked as a duplicate of this bug. ***
Comment 243 Jakub Moc (RETIRED) gentoo-dev 2006-09-24 04:35:16 UTC
*** Bug 148908 has been marked as a duplicate of this bug. ***
Comment 244 Marco Calviani 2006-10-16 11:41:08 UTC
(In reply to comment #207)
> Just a note to people upgrading from 4.1.0 to 4.1.0-r1, finding that
> libstdc++.la is gone (and the lack of it is causing compilation failures), and
> worried that this bug is being neglected.
> 
> The solution is simple: "fix_libtool_files.sh 4.1.0". 

Thanks, this worked for me!
Comment 245 Jakub Moc (RETIRED) gentoo-dev 2006-11-20 00:35:05 UTC
*** Bug 155726 has been marked as a duplicate of this bug. ***
Comment 246 Jakub Moc (RETIRED) gentoo-dev 2006-11-20 15:46:19 UTC
*** Bug 155522 has been marked as a duplicate of this bug. ***
Comment 247 Jakub Moc (RETIRED) gentoo-dev 2006-11-21 00:04:46 UTC
*** Bug 155522 has been marked as a duplicate of this bug. ***
Comment 248 Jakub Moc (RETIRED) gentoo-dev 2006-11-29 08:31:27 UTC
*** Bug 156620 has been marked as a duplicate of this bug. ***
Comment 249 Steve Arnold gentoo-dev 2006-12-23 12:34:57 UTC
/usr/lib/gcc/i686-pc-linux-gnu/4.1.1/libstdc++.la: No such file or directory...

Got this again on a machine just upgraded to 3.4.6 and 4.1.1, but it it didn't hit until xine-lib barfed with the missing libstdc++.la error during "emerge gnome".  Everything was being built with the 4.x toolchain for some time on this machine, however, the error was occuring with 4.1.1, and fix_libtool_files.sh wouldn't really fix anything until I switched back to the 3.4.6 profile first, then ran fix_libtool_files.sh 4.1.1, then switched back to the 4.1.1 profile and restarted the emerge with --resume.  Just a tip...
Comment 250 Jakub Moc (RETIRED) gentoo-dev 2007-01-03 01:07:28 UTC
*** Bug 159814 has been marked as a duplicate of this bug. ***
Comment 251 Jakub Moc (RETIRED) gentoo-dev 2007-01-20 21:33:26 UTC
*** Bug 162977 has been marked as a duplicate of this bug. ***
Comment 252 Jakub Moc (RETIRED) gentoo-dev 2007-02-15 21:18:29 UTC
*** Bug 167096 has been marked as a duplicate of this bug. ***
Comment 253 David Baird 2007-02-16 12:25:28 UTC
Although this seems somehow off-topic with regard to the summary of this
bug, ``"fix_libtool_files.sh 3.4" messes its updates``, I came up with
the following bash script to partially implement the suggestions (of
removing references to removed .la files) in comment #208 and comment
#210.  I was having a problem (even after running fix_libtool_files.sh)
with references to /usr/lib/gcc/i686-pc-linux-gnu/4.1.1/libstdc++.la
while trying to do `emerge -uD gnome`.  Running these commands seem to
have fixed the problem for me:

function finde ()
{
# Usage: finde <extension> [<extension> ...]
# Recursively finds all files with given extension(s)
    if [ $# -gt 0 ]; then
        x=''; 
        while [ $# -gt 1 ]; do
            x="$x$1\|";
            shift;
        done;
        x="$x$1";
        find . -regex '.*\.\('$x'\)$';
    fi
}

# Create a list of all .la files from directories listed in /etc/ld.so.conf:
cat /etc/ld.so.conf | grep -v '#' | while read x; do
    pushd $x > /dev/null || continue 
    finde la | while read y; do echo $x/$y; done
    popd > /dev/null
done | tee /tmp/lafiles

# Remove all references to /usr/lib/gcc/i686-pc-linux-gnu/4.1.1/libstdc++.la:
cat /tmp/lafiles | while read x; do
    sed -i -e 's:/usr/lib/gcc/i686-pc-linux-gnu/4.1.1/libstdc++.la::g' $x
done
Comment 254 Jakub Moc (RETIRED) gentoo-dev 2007-02-19 22:58:47 UTC
*** Bug 167695 has been marked as a duplicate of this bug. ***
Comment 255 Jakub Moc (RETIRED) gentoo-dev 2007-02-24 12:59:57 UTC
*** Bug 168227 has been marked as a duplicate of this bug. ***
Comment 256 Jakub Moc (RETIRED) gentoo-dev 2007-02-24 15:10:52 UTC
*** Bug 168227 has been marked as a duplicate of this bug. ***
Comment 257 Jakub Moc (RETIRED) gentoo-dev 2007-02-27 17:45:47 UTC
*** Bug 168607 has been marked as a duplicate of this bug. ***
Comment 258 Jakub Moc (RETIRED) gentoo-dev 2007-03-16 00:16:46 UTC
*** Bug 155964 has been marked as a duplicate of this bug. ***
Comment 259 Jakub Moc (RETIRED) gentoo-dev 2007-03-23 11:52:31 UTC
*** Bug 171876 has been marked as a duplicate of this bug. ***
Comment 260 Jakub Moc (RETIRED) gentoo-dev 2007-03-23 18:18:22 UTC
*** Bug 171876 has been marked as a duplicate of this bug. ***
Comment 261 Jakub Moc (RETIRED) gentoo-dev 2007-03-24 01:36:36 UTC
*** Bug 171876 has been marked as a duplicate of this bug. ***
Comment 262 Jakub Moc (RETIRED) gentoo-dev 2007-03-24 01:59:46 UTC
*** Bug 171876 has been marked as a duplicate of this bug. ***
Comment 263 Jakub Moc (RETIRED) gentoo-dev 2007-03-24 08:54:02 UTC
*** Bug 171876 has been marked as a duplicate of this bug. ***
Comment 264 Jakub Moc (RETIRED) gentoo-dev 2007-05-09 18:30:13 UTC
*** Bug 177838 has been marked as a duplicate of this bug. ***
Comment 265 Jakub Moc (RETIRED) gentoo-dev 2007-05-15 07:04:24 UTC
*** Bug 178596 has been marked as a duplicate of this bug. ***
Comment 266 Jakub Moc (RETIRED) gentoo-dev 2007-05-26 16:36:32 UTC
*** Bug 179903 has been marked as a duplicate of this bug. ***
Comment 267 Jakub Moc (RETIRED) gentoo-dev 2007-06-03 16:32:57 UTC
*** Bug 180759 has been marked as a duplicate of this bug. ***
Comment 268 Jakub Moc (RETIRED) gentoo-dev 2007-07-27 06:43:02 UTC
*** Bug 186745 has been marked as a duplicate of this bug. ***
Comment 269 Jakub Moc (RETIRED) gentoo-dev 2007-09-20 08:43:01 UTC
*** Bug 192998 has been marked as a duplicate of this bug. ***
Comment 270 Jakub Moc (RETIRED) gentoo-dev 2007-10-17 05:48:14 UTC
*** Bug 196128 has been marked as a duplicate of this bug. ***
Comment 271 Jakub Moc (RETIRED) gentoo-dev 2007-11-23 22:51:23 UTC
*** Bug 200124 has been marked as a duplicate of this bug. ***
Comment 272 Jakub Moc (RETIRED) gentoo-dev 2007-11-25 11:05:02 UTC
*** Bug 200272 has been marked as a duplicate of this bug. ***
Comment 273 Jakub Moc (RETIRED) gentoo-dev 2007-11-28 07:10:51 UTC
*** Bug 200570 has been marked as a duplicate of this bug. ***
Comment 274 Jakub Moc (RETIRED) gentoo-dev 2007-12-07 09:46:36 UTC
*** Bug 201571 has been marked as a duplicate of this bug. ***
Comment 275 Jakub Moc (RETIRED) gentoo-dev 2007-12-18 09:18:27 UTC
*** Bug 202637 has been marked as a duplicate of this bug. ***
Comment 276 Jakub Moc (RETIRED) gentoo-dev 2007-12-25 23:48:00 UTC
*** Bug 203344 has been marked as a duplicate of this bug. ***
Comment 277 Jakub Moc (RETIRED) gentoo-dev 2008-01-11 14:02:04 UTC
*** Bug 205325 has been marked as a duplicate of this bug. ***
Comment 278 progserega 2008-01-14 11:38:26 UTC
# ls /usr/lib/gcc/i686-pc-linux-gnu/
4.1.2
# fix_libtool_files.sh 4.1.2
 * Scanning libtool files for hardcoded gcc library paths...
 *   [1/9] Scanning /lib ...
 *   [2/9] Scanning /usr/lib ...
 *   [3/9] Scanning /opt/thunderbird ...
 *   [4/9] Scanning /usr/games/lib ...
 *   [5/9] Scanning /usr/i686-pc-linux-gnu/lib ...
 *   [6/9] Scanning /usr/kde/3.5/lib ...
 *   [7/9] Scanning //usr//lib/opengl/nvidia/lib ...
 *   [8/9] Scanning /usr/local/lib ...
 *   [9/9] Scanning /usr/qt/3/lib ...
# emerge -av app-text/tetex

build break with error:
i686-pc-linux-gnu-g++ -shared -nostdlib /usr/lib/gcc/i686-pc-linux-gnu/4.1.1/../../../crti.o /usr/lib/gcc/i686-pc-linux-gnu/4.1.1/crtbeginS.o  .libs/tex-file.o .libs/absolute.o .libs/atou.o .libs/cnf.o .libs/concat.o .libs/concat3.o .libs/concatn.o .libs/db.o .libs/debug.o .libs/dir.o .libs/elt-dirs.o .libs/expand.o .libs/extend-fname.o .libs/file-p.o .libs/find-suffix.o .libs/fn.o .libs/fontmap.o .libs/getopt.o .libs/getopt1.o .libs/hash.o .libs/kdefault.o .libs/line.o .libs/magstep.o .libs/make-suffix.o .libs/path-elt.o .libs/pathsearch.o .libs/proginit.o .libs/progname.o .libs/readable.o .libs/rm-suffix.o .libs/str-list.o .libs/str-llist.o .libs/tex-glyph.o .libs/tex-hush.o .libs/tex-make.o .libs/tilde.o .libs/truncate.o .libs/uppercasify.o .libs/variable.o .libs/version.o .libs/xbasename.o .libs/xcalloc.o .libs/xdirname.o .libs/xfopen.o .libs/xfseek.o .libs/xftell.o .libs/xgetcwd.o .libs/xmalloc.o .libs/xopendir.o .libs/xputenv.o .libs/xrealloc.o .libs/xstat.o .libs/xstrdup.o  -L/usr/lib/gcc/i686-pc-linux-gnu/4.1.1 -L/usr/lib/gcc/i686-pc-linux-gnu/4.1.1/../../../../i686-pc-linux-gnu/lib -L/usr/lib/gcc/i686-pc-linux-gnu/4.1.1/../../.. -lstdc++ -lm -lc -lgcc_s /usr/lib/gcc/i686-pc-linux-gnu/4.1.1/crtendS.o /usr/lib/gcc/i686-pc-linux-gnu/4.1.1/../../../crtn.o  -Wl,-soname -Wl,libkpathsea.so.4 -o ../kpathsea/.libs/libkpathsea.so.4.0.0
i686-pc-linux-gnu-g++: /usr/lib/gcc/i686-pc-linux-gnu/4.1.1/../../../crti.o: No such file or directory
i686-pc-linux-gnu-g++: /usr/lib/gcc/i686-pc-linux-gnu/4.1.1/crtbeginS.o: No such file or directory
i686-pc-linux-gnu-g++: /usr/lib/gcc/i686-pc-linux-gnu/4.1.1/crtendS.o: No such file or directory
i686-pc-linux-gnu-g++: /usr/lib/gcc/i686-pc-linux-gnu/4.1.1/../../../crtn.o: No such file or directory
make[2]: *** [../kpathsea/libkpathsea.la] Error 1
make[2]: Leaving directory `/var/tmp/portage/app-text/tetex-3.0_p1-r6/work/tetex-src-3.0/texk/kpathsea'
make[1]: *** [do-kpathsea] Error 2
make[1]: Leaving directory `/var/tmp/portage/app-text/tetex-3.0_p1-r6/work/tetex-src-3.0/texk'
make: *** [all] Error 1
 * 
 * ERROR: app-text/tetex-3.0_p1-r6 failed.
 * Call stack:
 *                ebuild.sh, line 1701:  Called dyn_compile
 *                ebuild.sh, line 1039:  Called qa_call 'src_compile'
 *                ebuild.sh, line   44:  Called src_compile
 *   tetex-3.0_p1-r6.ebuild, line   94:  Called tetex-3_src_compile
 *           tetex-3.eclass, line  137:  Called tetex_src_compile
 *             tetex.eclass, line  160:  Called die
 * The specific snippet of code:
 *      emake -j1 CC="$(tc-getCC)" CXX="$(tc-getCXX)" texmf=${TEXMF_PATH:-/usr/share/texmf} || die "make teTeX failed"
 *  The die message:
 *   make teTeX failed
Comment 279 progserega 2008-01-14 11:42:18 UTC
emerge --info
Portage 2.1.3.19 (default-linux/x86/2007.0/desktop, gcc-4.1.2, glibc-2.6.1-r0, 2.6.23-snd i686)
=================================================================
System uname: 2.6.23-snd i686 Intel(R) Core(TM)2 Quad CPU           @ 2.40GHz
Timestamp of tree: Fri, 11 Jan 2008 12:00:01 +0000
ccache version 2.4 [disabled]
app-shells/bash:     3.2_p17
dev-lang/python:     2.4.4-r6
dev-python/pycrypto: 2.0.1-r6
dev-util/ccache:     2.4-r7
sys-apps/baselayout: 1.12.9
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61
sys-devel/automake:  1.4_p6, 1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.16.1-r3
sys-devel/gcc-config: 1.3.14
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.17-r2
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=i686 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/gconf /etc/revdep-rebuild /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O2 -march=i686 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks metadata-transfer sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS=" ftp://ftp.tu-clausthal.de/pub/linux/gentoo/ ftp://adelie.polymtl.ca ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gentoo ftp://distro.ibiblio.org/pub/linux/distributions/gentoo/ ftp://gentoo.arcticnetwork.ca/pub/gentoo/ "
LANG="ru_RU.UTF-8"
LINGUAS="ru"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --filter=H_**/files/digest-*"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X acl acpi alsa arts berkdb bitmap-fonts bzip2 cairo cdr cli cracklib crypt cups dbus dri dvd dvdr dvdread eds emboss encode esd evo fam firefox foomaticdb fortran ftp gdbm gif gnome gnutls gpm gstreamer gtk hal iconv ipv6 isdnlog javascript jpeg kde kerberos logrotate mad midi mikmod mmx mp3 mpeg mudflap ncurses nfs nls nptl nptlonly nvidia ogg opengl openmp oss pam pcre pdf perl png pppd python qt3 qt3support qt4 quicktime readline reflection samba sdl session snd-hda-intel spell spl sse sse2 ssl ssse3 svg tcpd tiff truetype truetype-fonts type1-fonts unicode usb vorbis win32codecs x86 xml xorg xv zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" FOO2ZJS_DEVICES="hp1600" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="ru" USERLAND="GNU" VIDEO_CARDS="apm ark chips cirrus cyrix dummy fbdev glint i128 i740 i810 imstt mach64 mga neomagic nsc nv r128 radeon rendition s3 s3virge savage siliconmotion sis sisusb tdfx tga trident tseng v4l vesa vga via vmware voodoo"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LDFLAGS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 280 Jakub Moc (RETIRED) gentoo-dev 2008-02-28 18:44:19 UTC
*** Bug 211817 has been marked as a duplicate of this bug. ***
Comment 281 Arno Hahma 2008-02-29 10:20:57 UTC
There is no such script fix_libtool_files.sh on this system. Where can this be downloaded from? Which package should be emerged?


Comment 282 Jakub Moc (RETIRED) gentoo-dev 2008-03-01 14:51:10 UTC
*** Bug 211980 has been marked as a duplicate of this bug. ***
Comment 283 Frederico 2008-10-28 15:03:40 UTC
Same thing here! 

(In reply to comment #278)
> # ls /usr/lib/gcc/i686-pc-linux-gnu/
> 4.1.2
> # fix_libtool_files.sh 4.1.2
>  * Scanning libtool files for hardcoded gcc library paths...
>  *   [1/9] Scanning /lib ...
>  *   [2/9] Scanning /usr/lib ...
>  *   [3/9] Scanning /opt/thunderbird ...
>  *   [4/9] Scanning /usr/games/lib ...
>  *   [5/9] Scanning /usr/i686-pc-linux-gnu/lib ...
>  *   [6/9] Scanning /usr/kde/3.5/lib ...
>  *   [7/9] Scanning //usr//lib/opengl/nvidia/lib ...
>  *   [8/9] Scanning /usr/local/lib ...
>  *   [9/9] Scanning /usr/qt/3/lib ...
> # emerge -av app-text/tetex
> 
> build break with error:
> i686-pc-linux-gnu-g++ -shared -nostdlib
> /usr/lib/gcc/i686-pc-linux-gnu/4.1.1/../../../crti.o
> /usr/lib/gcc/i686-pc-linux-gnu/4.1.1/crtbeginS.o  .libs/tex-file.o
> .libs/absolute.o .libs/atou.o .libs/cnf.o .libs/concat.o .libs/concat3.o
> .libs/concatn.o .libs/db.o .libs/debug.o .libs/dir.o .libs/elt-dirs.o
> .libs/expand.o .libs/extend-fname.o .libs/file-p.o .libs/find-suffix.o
> .libs/fn.o .libs/fontmap.o .libs/getopt.o .libs/getopt1.o .libs/hash.o
> .libs/kdefault.o .libs/line.o .libs/magstep.o .libs/make-suffix.o
> .libs/path-elt.o .libs/pathsearch.o .libs/proginit.o .libs/progname.o
> .libs/readable.o .libs/rm-suffix.o .libs/str-list.o .libs/str-llist.o
> .libs/tex-glyph.o .libs/tex-hush.o .libs/tex-make.o .libs/tilde.o
> .libs/truncate.o .libs/uppercasify.o .libs/variable.o .libs/version.o
> .libs/xbasename.o .libs/xcalloc.o .libs/xdirname.o .libs/xfopen.o
> .libs/xfseek.o .libs/xftell.o .libs/xgetcwd.o .libs/xmalloc.o .libs/xopendir.o
> .libs/xputenv.o .libs/xrealloc.o .libs/xstat.o .libs/xstrdup.o 
> -L/usr/lib/gcc/i686-pc-linux-gnu/4.1.1
> -L/usr/lib/gcc/i686-pc-linux-gnu/4.1.1/../../../../i686-pc-linux-gnu/lib
> -L/usr/lib/gcc/i686-pc-linux-gnu/4.1.1/../../.. -lstdc++ -lm -lc -lgcc_s
> /usr/lib/gcc/i686-pc-linux-gnu/4.1.1/crtendS.o
> /usr/lib/gcc/i686-pc-linux-gnu/4.1.1/../../../crtn.o  -Wl,-soname
> -Wl,libkpathsea.so.4 -o ../kpathsea/.libs/libkpathsea.so.4.0.0
> i686-pc-linux-gnu-g++: /usr/lib/gcc/i686-pc-linux-gnu/4.1.1/../../../crti.o: No
> such file or directory
> i686-pc-linux-gnu-g++: /usr/lib/gcc/i686-pc-linux-gnu/4.1.1/crtbeginS.o: No
> such file or directory
> i686-pc-linux-gnu-g++: /usr/lib/gcc/i686-pc-linux-gnu/4.1.1/crtendS.o: No such
> file or directory
> i686-pc-linux-gnu-g++: /usr/lib/gcc/i686-pc-linux-gnu/4.1.1/../../../crtn.o: No
> such file or directory
> make[2]: *** [../kpathsea/libkpathsea.la] Error 1
> make[2]: Leaving directory
> `/var/tmp/portage/app-text/tetex-3.0_p1-r6/work/tetex-src-3.0/texk/kpathsea'
> make[1]: *** [do-kpathsea] Error 2
> make[1]: Leaving directory
> `/var/tmp/portage/app-text/tetex-3.0_p1-r6/work/tetex-src-3.0/texk'
> make: *** [all] Error 1
>  * 
>  * ERROR: app-text/tetex-3.0_p1-r6 failed.
>  * Call stack:
>  *                ebuild.sh, line 1701:  Called dyn_compile
>  *                ebuild.sh, line 1039:  Called qa_call 'src_compile'
>  *                ebuild.sh, line   44:  Called src_compile
>  *   tetex-3.0_p1-r6.ebuild, line   94:  Called tetex-3_src_compile
>  *           tetex-3.eclass, line  137:  Called tetex_src_compile
>  *             tetex.eclass, line  160:  Called die
>  * The specific snippet of code:
>  *      emake -j1 CC="$(tc-getCC)" CXX="$(tc-getCXX)"
> texmf=${TEXMF_PATH:-/usr/share/texmf} || die "make teTeX failed"
>  *  The die message:
>  *   make teTeX failed
> 

Comment 284 Frederico 2008-10-28 15:05:01 UTC
The same here. No solution so far.

(In reply to comment #278)
> # ls /usr/lib/gcc/i686-pc-linux-gnu/
> 4.1.2
> # fix_libtool_files.sh 4.1.2
>  * Scanning libtool files for hardcoded gcc library paths...
>  *   [1/9] Scanning /lib ...
>  *   [2/9] Scanning /usr/lib ...
>  *   [3/9] Scanning /opt/thunderbird ...
>  *   [4/9] Scanning /usr/games/lib ...
>  *   [5/9] Scanning /usr/i686-pc-linux-gnu/lib ...
>  *   [6/9] Scanning /usr/kde/3.5/lib ...
>  *   [7/9] Scanning //usr//lib/opengl/nvidia/lib ...
>  *   [8/9] Scanning /usr/local/lib ...
>  *   [9/9] Scanning /usr/qt/3/lib ...
> # emerge -av app-text/tetex
> 
> build break with error:
> i686-pc-linux-gnu-g++ -shared -nostdlib
> /usr/lib/gcc/i686-pc-linux-gnu/4.1.1/../../../crti.o
> /usr/lib/gcc/i686-pc-linux-gnu/4.1.1/crtbeginS.o  .libs/tex-file.o
> .libs/absolute.o .libs/atou.o .libs/cnf.o .libs/concat.o .libs/concat3.o
> .libs/concatn.o .libs/db.o .libs/debug.o .libs/dir.o .libs/elt-dirs.o
> .libs/expand.o .libs/extend-fname.o .libs/file-p.o .libs/find-suffix.o
> .libs/fn.o .libs/fontmap.o .libs/getopt.o .libs/getopt1.o .libs/hash.o
> .libs/kdefault.o .libs/line.o .libs/magstep.o .libs/make-suffix.o
> .libs/path-elt.o .libs/pathsearch.o .libs/proginit.o .libs/progname.o
> .libs/readable.o .libs/rm-suffix.o .libs/str-list.o .libs/str-llist.o
> .libs/tex-glyph.o .libs/tex-hush.o .libs/tex-make.o .libs/tilde.o
> .libs/truncate.o .libs/uppercasify.o .libs/variable.o .libs/version.o
> .libs/xbasename.o .libs/xcalloc.o .libs/xdirname.o .libs/xfopen.o
> .libs/xfseek.o .libs/xftell.o .libs/xgetcwd.o .libs/xmalloc.o .libs/xopendir.o
> .libs/xputenv.o .libs/xrealloc.o .libs/xstat.o .libs/xstrdup.o 
> -L/usr/lib/gcc/i686-pc-linux-gnu/4.1.1
> -L/usr/lib/gcc/i686-pc-linux-gnu/4.1.1/../../../../i686-pc-linux-gnu/lib
> -L/usr/lib/gcc/i686-pc-linux-gnu/4.1.1/../../.. -lstdc++ -lm -lc -lgcc_s
> /usr/lib/gcc/i686-pc-linux-gnu/4.1.1/crtendS.o
> /usr/lib/gcc/i686-pc-linux-gnu/4.1.1/../../../crtn.o  -Wl,-soname
> -Wl,libkpathsea.so.4 -o ../kpathsea/.libs/libkpathsea.so.4.0.0
> i686-pc-linux-gnu-g++: /usr/lib/gcc/i686-pc-linux-gnu/4.1.1/../../../crti.o: No
> such file or directory
> i686-pc-linux-gnu-g++: /usr/lib/gcc/i686-pc-linux-gnu/4.1.1/crtbeginS.o: No
> such file or directory
> i686-pc-linux-gnu-g++: /usr/lib/gcc/i686-pc-linux-gnu/4.1.1/crtendS.o: No such
> file or directory
> i686-pc-linux-gnu-g++: /usr/lib/gcc/i686-pc-linux-gnu/4.1.1/../../../crtn.o: No
> such file or directory
> make[2]: *** [../kpathsea/libkpathsea.la] Error 1
> make[2]: Leaving directory
> `/var/tmp/portage/app-text/tetex-3.0_p1-r6/work/tetex-src-3.0/texk/kpathsea'
> make[1]: *** [do-kpathsea] Error 2
> make[1]: Leaving directory
> `/var/tmp/portage/app-text/tetex-3.0_p1-r6/work/tetex-src-3.0/texk'
> make: *** [all] Error 1
>  * 
>  * ERROR: app-text/tetex-3.0_p1-r6 failed.
>  * Call stack:
>  *                ebuild.sh, line 1701:  Called dyn_compile
>  *                ebuild.sh, line 1039:  Called qa_call 'src_compile'
>  *                ebuild.sh, line   44:  Called src_compile
>  *   tetex-3.0_p1-r6.ebuild, line   94:  Called tetex-3_src_compile
>  *           tetex-3.eclass, line  137:  Called tetex_src_compile
>  *             tetex.eclass, line  160:  Called die
>  * The specific snippet of code:
>  *      emake -j1 CC="$(tc-getCC)" CXX="$(tc-getCXX)"
> texmf=${TEXMF_PATH:-/usr/share/texmf} || die "make teTeX failed"
>  *  The die message:
>  *   make teTeX failed
>